id: vnf_news
migration_group: vnf
label: 'News migration'
source:
  plugin: news
  key: migrate
  constants:
    uid: 2
process:
  type:
    plugin: default_value
    default_value: article
  title: title
  body/value: content
  body/format:
    plugin: default_value
    default_value: basic_html

  field_tags:
    plugin: entity_generate
    source: page_id
    value_key: name
    bundle: tags
    entity_type: taxonomy_term
    ignore_case: true

  field_image_media/target_id:
    plugin: migration_lookup
    migration: vnf_media_image
    source: blog_id
    no_stub: true

  path/pathauto:
    plugin: default_value
    default_value: 0

  'path/alias': alias

  uid: constants/uid
  created: timestamp
  changed: timestamp
destination:
  plugin: 'entity:node'
migration_dependencies:
  required: {  }
  optional: {  }
